summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSage Weil <sage@inktank.com>2012-12-19 08:37:42 -0800
committerSage Weil <sage@inktank.com>2012-12-19 08:37:42 -0800
commit2e49d5c4b7daaabb3b6a64f670b15756db2286a2 (patch)
tree267e5a1ab90ba3c5a31f461f8ca56d792d03885d
parentb2eb8bd2ede7ab53ba0660f99af829645ed9a60d (diff)
downloadceph-2e49d5c4b7daaabb3b6a64f670b15756db2286a2.tar.gz
cephtool: add qa workunit
A few basic sanity checks, including a tell on a down osd. Signed-off-by: Sage Weil <sage@inktank.com>
-rwxr-xr-xqa/workunits/cephtool/test.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/qa/workunits/cephtool/test.sh b/qa/workunits/cephtool/test.sh
new file mode 100755
index 00000000000..22ca2008651
--- /dev/null
+++ b/qa/workunits/cephtool/test.sh
@@ -0,0 +1,24 @@
+#!/bin/sh -x
+
+set -e
+
+ceph status
+ceph -s
+ceph quorum_status
+
+ceph osd dump
+ceph osd tree
+ceph pg dump
+ceph mon dump
+ceph mds dump
+
+ceph tell osd.0 version
+ceph tell osd.9999 version && exit 1
+ceph tell osd.foo version && exit 1
+
+for id in `ceph osd ls` ; do
+ ceph tell osd.$id version
+done
+
+echo OK
+